3 Replies Latest reply on Jul 24, 2016 1:46 AM by F. McLion

    Updates for older versions of Lightroom [How to open Canon 7D Raw files in Lightroom 2?]

    Tanana_m

      I am running Lightroom 2 on an older airgapped PC using the Vista OS. I have two questions. First, is there an update I can download, then transfer to the airgapped machine, or is connecting the airgapped computer to the internet my only option? It seems like that would defeat the purpose. Second, the free Adobe DNG converter page has a chart showing which cameras are supported. It's a little confusing. Is it saying that Lightroom 2.6 supports the Canon EOS 7D, or that I need Lightroom 2.6 for the Adobe DNG converter to be able to convert the 7D *.CR2 files to DNG?

      If it's not obvious, I'm trying to convert the *.CR2 files from a Canon EOS 7D to DNG, so that I can edit and catalog them using Lightroom 2. The software that came with the used camera has no trouble reading the *.CR2 files from the 7D, but does not include a DNG converter. Lightroom 2 has no trouble recognizing and converting the *.CR2 files from my older EOS Rebel. Yes, I know they're different, but I'm including this final piece of information to hopefully indicate that my installation of Lightrroom 2 is otherwise perfectly functional.

      Sorry, there is one other piece of information: Files imported from this very same 7D onto a newer computer running the most current version of Lightroom pose no trouble to the older version of Lightroom once they're converted to DNG and delivered via removable media. Using this method is not practical, as the two computers are more than 30 miles apart, and I only have occasional access to the newer one.

        • 1. Re: Updates for older versions of Lightroom
          F. McLion Adobe Community Professional & MVP

          This is as expected.

          Every new camera has a slightly different RAW format and LR needs to be adapted to this. You seem to have found the list with cameras and the required LR version.

           

          You can download the latest LR2 version from here: Adobe - Lightroom : For Windows

          I'd also think about an upgrade to LR6 which is only about 80 bucks - there really is a lot of new stuff compared LR2 and LR6 which specially includes much a much improved develop process (i.e. less noise).

           

          If you don't like to update, simply download the latest free DNG convertor and convert your images to DNG - as you already found working. DNG is the Adobe own format that has not really changed since its beginning. That's the reason why files converted to DNG can also be opened with older LR versions. Once converted to DNG, the camera used is not relevant anymore.

          • 2. Re: Updates for older versions of Lightroom
            John Waller Adobe Community Professional & MVP

            Second, the free Adobe DNG converter page has a chart showing which cameras are supported. It's a little confusing. Is it saying that Lightroom 2.6 supports the Canon EOS 7D, or that I need Lightroom 2.6 for the Adobe DNG converter to be able to convert the 7D *.CR2 files to DNG?

            The page you found is actually the Camera Raw supported cameras page.

            Cameras supported by Adobe Camera Raw

             

            It says that the 7D was first supported in Lightroom 2.6 so you can open 7D Raw files in Lightroom 2.6 without requiring the DNG converter.

             

            If the minimum version of Lightroom required is later than the version you have installed (not the case for you) then you would need the DNG converter to convert Raw files to DNG format so that your version of Lightroom could open them.

             

            So download the 2.7 update from the link given in the previous post, update your airgapped 2.0 to 2.7 and you'll be able to open and edit 7D Raw files.

             

            PS Upgrading to Lightroom 6 is not an option on a Vista machine. You need at least Windows 7

            System requirements for Photoshop Lightroom for Mac and Windows OS

            • 3. Re: Updates for older versions of Lightroom
              F. McLion Adobe Community Professional & MVP

              John Waller schrieb:

               

              PS Upgrading to Lightroom 6 is not an option on a Vista machine. You need at least Windows 7

              System requirements for Photoshop Lightroom for Mac and Windows OS

              Thanks John, missed the Vista part.

              Vista should be replaced as well, anyway